export declare type Collection = Array<{}>;
export declare type OperatorType = '===' | '>' | '<' | '!==' | '<=' | '>=' | 'contains' | '!contains';
export declare type RegularEquationType = {
    id: string;
    type: 'equation';
    key: string;
    op: OperatorType;
    value: any;
};
export declare type OrEquationType = {
    id: string;
    type: 'or';
    equations: Array<string>;
};
export declare type AndEquationType = {
    id: string;
    type: 'and';
    equations: Array<string>;
};
export declare type OrEquationTreeType = {
    id: string;
    type: 'or';
    equations: {
        [id: string]: AndEquationTreeType | RegularEquationType;
    };
};
export declare type AndEquationTreeType = {
    id: string;
    type: 'and';
    equations: {
        [id: string]: OrEquationTreeType | RegularEquationType;
    };
};
export declare type EquationType = AndEquationType | OrEquationType | RegularEquationType;
export declare type EquationTreeType = AndEquationTreeType | OrEquationTreeType | RegularEquationType;
export declare type FilterType = {
    root: string;
    equations: {
        [id: string]: EquationType | undefined;
    };
};
